

# GetMasterAccount
<a name="API_GetMasterAccount"></a>

 *This action has been deprecated.* 

Provides the details for the GuardDuty administrator account associated with the current GuardDuty member account.

## Request Syntax
<a name="API_GetMasterAccount_RequestSyntax"></a>

```
GET /detector/DetectorId/master HTTP/1.1
```

## URI Request Parameters
<a name="API_GetMasterAccount_RequestParameters"></a>

The request uses the following URI parameters.

 ** [DetectorId](#API_GetMasterAccount_RequestSyntax) **   <a name="guardduty-GetMasterAccount-request-uri-DetectorId"></a>
The unique ID of the detector of the GuardDuty member account.  
To find the `detectorId` in the current Region, see the Settings page in the GuardDuty console, or run the [ListDetectors](https://docs.aws.amazon.com/guardduty/latest/APIReference/API_ListDetectors.html) API.  
Length Constraints: Minimum length of 1. Maximum length of 300.  
Required: Yes

## Request Body
<a name="API_GetMasterAccount_RequestBody"></a>

The request does not have a request body.

## Response Syntax
<a name="API_GetMasterAccount_ResponseSyntax"></a>

```
HTTP/1.1 200
Content-type: application/json

{
   "master": { 
      "accountId": "string",
      "invitationId": "string",
      "invitedAt": "string",
      "relationshipStatus": "string"
   }
}
```

## Response Elements
<a name="API_GetMasterAccount_ResponseElements"></a>

If the action is successful, the service sends back an HTTP 200 response.

The following data is returned in JSON format by the service.

 ** [master](#API_GetMasterAccount_ResponseSyntax) **   <a name="guardduty-GetMasterAccount-response-master"></a>
The administrator account details.  
Type: [Master](API_Master.md) object

## Errors
<a name="API_GetMasterAccount_Errors"></a>

For information about the errors that are common to all actions, see [Common Error Types](CommonErrors.md).

 ** BadRequestException **   
A bad request exception object.    
 ** Message **   
The error message.  
 ** Type **   
The error type.
HTTP Status Code: 400

 ** InternalServerErrorException **   
An internal server error exception object.    
 ** Message **   
The error message.  
 ** Type **   
The error type.
HTTP Status Code: 500

## See Also
<a name="API_GetMasterAccount_SeeAlso"></a>

For more information about using this API in one of the language-specific AWS SDKs, see the following:
+  [AWS Command Line Interface V2](https://docs.aws.amazon.com/goto/cli2/guardduty-2017-11-28/GetMasterAccount) 
+  [AWS SDK for .NET V4](https://docs.aws.amazon.com/goto/DotNetSDKV4/guardduty-2017-11-28/GetMasterAccount) 
+  [AWS SDK for C\$1\$1](https://docs.aws.amazon.com/goto/SdkForCpp/guardduty-2017-11-28/GetMasterAccount) 
+  [AWS SDK for Go v2](https://docs.aws.amazon.com/goto/SdkForGoV2/guardduty-2017-11-28/GetMasterAccount) 
+  [AWS SDK for Java V2](https://docs.aws.amazon.com/goto/SdkForJavaV2/guardduty-2017-11-28/GetMasterAccount) 
+  [AWS SDK for JavaScript V3](https://docs.aws.amazon.com/goto/SdkForJavaScriptV3/guardduty-2017-11-28/GetMasterAccount) 
+  [AWS SDK for Kotlin](https://docs.aws.amazon.com/goto/SdkForKotlin/guardduty-2017-11-28/GetMasterAccount) 
+  [AWS SDK for PHP V3](https://docs.aws.amazon.com/goto/SdkForPHPV3/guardduty-2017-11-28/GetMasterAccount) 
+  [AWS SDK for Python](https://docs.aws.amazon.com/goto/boto3/guardduty-2017-11-28/GetMasterAccount) 
+  [AWS SDK for Ruby V3](https://docs.aws.amazon.com/goto/SdkForRubyV3/guardduty-2017-11-28/GetMasterAccount) 